clang-tools 10.0.0

Classes | Namespaces | Functions
Index.h File Reference
`#include "Ref.h"`
`#include "Relation.h"`
`#include "Symbol.h"`
`#include "SymbolID.h"`
`#include "llvm/ADT/DenseSet.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/Support/JSON.h"`
`#include <mutex>`
`#include <string>`
Include dependency graph for Index.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::FuzzyFindRequest
struct | clang::clangd::LookupRequest
struct | clang::clangd::RefsRequest
struct | clang::clangd::RelationsRequest
class | clang::clangd::SymbolIndex
| Interface for symbol indexes that can be used for searching or matching symbols among a set of symbols based on names or unique IDs. More...
class | clang::clangd::SwapIndex

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
bool | clang::clangd::fromJSON (const llvm::json::Value &Parameters, FuzzyFindRequest &Request)
llvm::json::Value | clang::clangd::toJSON (const FuzzyFindRequest &Request)